#!/usr/bin/perl

# Access the environment variable by name

$user_agent = $ENV{'HTTP_USER_AGENT'};

# Start generating HTML output with the required MIME HTML type

print "Content-type: text/html\n\n";

# Print required HTML tags.

print <<EOH;
<HTML>
<HEAD>
<TITLE>CGI Script How-To: Test Script</TITLE>
</HEAD>
<BODY>
EOH

# Test and show the browser information (name and version)

if ($user_agent)
{
	print "<H2>Browser = $user_agent</H2><P>\n";
}

# Test whether the browser is Netscape identified by the name Mozilla.
# This displays an inline JPEG image "fish33.jpg" that should be located
# in the /images/ directory.

if ($user_agent =~ /^Mozilla/)
{
	# Display an inline JPEG image for Netscape browsers
	print qq!<IMG SRC="/images/fish33.jpg">\n!;
}

# Test whether the browser is a text-based Lynx browser.

elsif ($user_agent =~ /^Lynx/)
{
	# For a text browser show a hyperlink to an image to download it
	print qq!Try this <A HREF="/images/fish33.jpg">link</a> to download an image.\n!;
}

# Let other browsers take a default action, which in this case is to view
# an appropriate GIF image called "fish33.gif" which should be located
# in the /images/ directory.

else
{
	# Try to display a GIF image for everyone else
	print qq!<IMG SRC="/images/fish33.gif">\n!;
}

# Print closing HTML tags.

print "</BODY></HTML>\n";

#
# end of chkagent.pl
#
